Bug 1472213 - (CVE-2017-7772) CVE-2017-7772 graphite2: heap-buffer-overflow write "lz4::decompress" (CVE-2017-7772)
CVE-2017-7772 graphite2: heap-buffer-overflow write "lz4::decompress" (CVE-20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170614,repo...
: Security
Depends On: 1472290 1472291 1472292
Blocks: 1469141
  Show dependency treegraph
 
Reported: 2017-07-18 05:20 EDT by Stefan Cornelius
Modified: 2017-07-21 08:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: graphite2 1.3.10
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow flaw related to "lz4::decompress" has been reported in graphite2. An attacker could exploit this issue to cause a crash or, possibly, execute arbitrary code.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 05:12:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2017-07-18 05:20:55 EDT
A heap-based buffer overflow flaw related to "lz4::decompress" has been reported in graphite2. A remote attacker could exploit this issue to cause a crash, or, possibly, execute arbitrary code.
Comment 1 Stefan Cornelius 2017-07-18 05:21:12 EDT
Acknowledgments:

Name: the Mozilla project
Upstream: Holger Fuhrmannek, Tyson Smith
Comment 4 errata-xmlrpc 2017-07-20 19:17:02 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1793 https://access.redhat.com/errata/RHSA-2017:1793

Note You need to log in before you can comment on or make changes to this bug.